// Copyright (c) 2020-2021 by the Zeek Project. See LICENSE for details.

#pragma once

namespace spicy::zeek::configuration {

#define SPICY_HAVE_TOOLCHAIN
#define ZEEK_SPICY_PLUGIN_USE_JIT
#define ZEEK_SPICY_PLUGIN_INTERNAL_BUILD

// We make sure this is always defined, either as 0 or 1, so that we
// can catch when this header wasn't included.
#define ZEEK_DEBUG_BUILD 0

// Version of Zeek the plugin was compiled against.
#define ZEEK_SPICY_VERSION_NUMBER 50002
#define ZEEK_SPICY_BUILD_DIRECTORY "/wrkdirs/usr/ports/security/zeek/work/.build"

#define SPICY_VERSION_NUMBER 10501

inline const auto BuildLibDir = "/wrkdirs/usr/ports/security/zeek/work/.build/src/builtin-plugins/spicy-plugin";
inline const auto InstallLibDir = "lib";
inline const auto InstallPrefix = "/usr/local";

inline const auto PluginVersion = "1.3.17";
inline const int PluginVersionNumber = 10317;
inline const int PluginVersionMajor = 1;
inline const int PluginVersionMinor = 3;
inline const int PluginVersionPatch = 17;

inline const int ZeekVersionNumber = 50002;
inline const auto ZeekConfig = "/usr/local/bin/zeek-config";

inline const auto CxxZeekIncludeDirectories = "/usr/local/include";
inline const auto CxxBrokerIncludeDirectory = "";

inline const auto PluginModuleDirectory = "/usr/local/lib/zeek-spicy/modules";
inline const auto PluginScriptsDirectory = "";

inline const auto StaticBuildName = "spicy-plugin";

}
